function lines1=getLSDl(imgstr,minl)
    %minedge:边缘部分线段可能是错误的线段 免得增加计算量
    lines1 = lsd(imgstr); lines1= lines1';
    lines1=[lines1(:,1),lines1(:,3) lines1(:,2),lines1(:,4)];
    lens1=sqrt((lines1(:,3)-lines1(:,1)).^2+(lines1(:,4)-lines1(:,2)).^2);
    lines1(lens1<minl,:)=[];
end